# SWDB

# \Entity

Entity superclass.

Every other entity must inherit from this one. It represents a database entity.

## Summary

Methods
Properties
Constants
__construct()
$db
No constants found
No protected methods found
No protected properties found
N/A
No private methods found
No private properties found
N/A
abstract

File
  application/entity/Entity.php
Package
  Default
Class hierarchy
  \Entity

## Tags

category | Entity

## Properties

### $db

    $db : resource

#### Type

resource — Database connection.

#

## Tags

None found

## Methods

### __construct()

    __construct(resource  $db)

Constructor.

Sets the database conection and the language.

#### Parameters

resource | $db | Connection to the database.

#

## Tags

None found

### Entity.php